Arch Frame/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Lo strumento Carpenteria è utilizzato per costruire tutti i tipi di oggetti di carpenteria sulla base di un profilo e di un tracciato. Il profilo viene estruso lungo le linee...")
No edit summary
 
(71 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/it|Name=Arch Frame/it|Name=Carpenteria|Workbenches=[[Arch Module/it|Arch]]|MenuLocation=Arch → Frame|Shortcut=F R}}


{{Docnav/it
===Descrizione===
|[[Arch_Equipment/it|Arredo]]
|[[Arch_Fence/it|Recinzione]]
|[[Arch_Workbench/it|Arch]]
|IconL=Arch_Equipment.svg
|IconR=Arch_Fence.svg
|IconC=Workbench_Arch.svg
}}


{{GuiCommand/it
Lo strumento Carpenteria è utilizzato per costruire tutti i tipi di oggetti di carpenteria sulla base di un profilo e di un tracciato. Il profilo viene estruso lungo le linee del tracciato che può essere costituita da qualsiasi oggetto 2D, ad esempio, da uno [[Sketcher Module/it|schizzo]], o da un [[Draft Module/it|oggetto draft]]. È particolarmente utile per creare ringhiere o pareti di carpenteria. Gli oggetti Carpenteria possono essere poi facilmente trasformati in oggetti [[Arch Wall/it|muri]] o [[Arch Structure/it|strutture]].
|Name=Arch Frame
|Name/it=Carpenteria
|MenuLocation=Arch → Carpenteria
|Workbenches=[[Arch_Workbench/it|Arch]]
|Shortcut={{KEY|F}} {{KEY|R}}
|SeeAlso=[[Arch_Wall/it|Parete]], [[Arch_Structure/it|Struttura]]
}}

<span id="Description"></span>
==Descrizione==

Lo strumento {{Button|[[Image:Arch Frame.svg|16px]] [[Arch_Frame/it|Telaio]]}} è utilizzato per costruire tutti i tipi di oggetti di carpenteria sulla base di un profilo e di un tracciato. Il profilo viene estruso lungo le linee del tracciato che può essere costituita da qualsiasi oggetto 2D, ad esempio, da uno [[Sketcher_Workbench/it|schizzo]], o da un [[Draft_Workbench/it|oggetto draft]]. È particolarmente utile per creare ringhiere o pareti di carpenteria. Gli oggetti Carpenteria possono essere poi facilmente trasformati in oggetti [[Arch_Wall/it|muri]] o [[Arch_Structure/it|strutture]].


[[Image:Arch Frame example.jpg|640px]]
[[Image:Arch Frame example.jpg|640px]]
{{Caption|Oggetto Carpenteria creato da una [[Draft_OrthoArray/it|schiera]] derivata da una [[Draft_Line/it|linea]], utilizzando un [[Draft_Circle/it|cerchio]] come profilo.}}


<span id="Usage"></span>
In the above image, a [[Draft Line|line]] has been turned into an [[Draft Array|array]], and a frame object has been made using the array as layout, and a [[Draft Circle|circle]] as profile.
==Utilizzo==


# Creare un oggetto tracciato e un oggetto profilo, ad esempio con [[Draft_Workbench/it|Draft]] o con [[Sketcher Workbench/it|Schizzo]].
==How to use==
# Selezionare l'oggetto tracciato, poi, con {{KEY|Ctrl}} premuto, selezionare l'oggetto profilo.
# Premere il pulsante {{Button|[[Image:Arch Frame.svg|16px]] [[Arch_Frame/it|Carpenteria]]}}, o premere i tasti {{KEY|F}} poi {{KEY|R}}.


<span id="Options"></span>
# Create a layout object and a profile object, for example with the [[Draft Workbench]] or the [[Sketcher Workbench]]
== Opzioni ==
# Select the layout object, then, with {{KEY|CTRL}} pressed, select the profile object
# Press the {{KEY|[[Image:Arch Frame.png|16px]] [[Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys


* Gli elementi Carpenteria condividono le proprietà e i comportamenti comuni di tutti i [[Arch_Component/it|Componenti Arch]]
==Options==
* Impostando la sua proprietà Offset, l'oggetto carpenteria può essere posizionato alla distanza voluta dall'oggetto tracciato.
* Il profilo viene copiato alla base di ciascun spigolo o linea dell'oggetto tracciato, quindi estruso lungo esso. È possibile stabilire la posizione del profilo alla base di ogni linea del tracciato tramite le proprietà Align e Rotation.


<span id="Properties"></span>
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
=== Proprietà ===
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.


* {{ProprietaDati|Base}}: Il tracciato su cui è basato l'oggetto carpenteria.
==Properties==
* {{ProprietaDati|Profile}}: Il profilo su cui è basato l'oggetto carpenteria.
* {{ProprietaDati|Align}}: Specifica se il profilo deve essere ruotato per posizionare il suo asse normale allineato con ciascuna linea del tracciato.
* {{ProprietaDati|Offset}}: Una distanza opzionale tra l'oggetto tracciato e l'oggetto carpenteria.
* {{ProprietaDati|Rotation}}: La rotazione del profilo attorno al suo asse di estrusione.


<span id="Scripting"></span>
* {{PropertyData|Base}}: The layout this frame is based on.
==Script==
* {{PropertyData|Profile}}: The profile this frame is based on.
* {{PropertyData|Align}}: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
* {{PropertyData|Offset}}: An optional distance between the layout object and the frame object.
* {{PropertyData|Rotation}}: The rotation of the profile around its extrusion axis.


{{Emphasis|Vedere anche:}} [[Arch_API/it|API di Arch]] e [[FreeCAD_Scripting_Basics/it|Nozioni di base sugli script di FreeCAD]].
==Scripting==


Lo strumento Carpenteria può essere utilizzato nelle [[Macros/it|macro]] e dalla [[Python/it|console di Python]] tramite la seguente funzione:
The Frame tool can by used in [[macros]] and from the python console by using the following function:
{{Code|code=
Frame = makeFrame(baseobj, profile)
}}


* Crea un oggetto {{incode|Frame}} da un dato {{incode|baseobj}} e un {{incode|profile}}.
<syntaxhighlight>
** {{incode|baseobj}} è qualsiasi oggetto che contenga dei contorni, come una [[Draft_Wire/it|Polilinea]] o una [[Draft_OrthoArray/it|Schiera]].
makeFrame ( layout,profile )
** {{incode|profile}} è un oggetto 2D estrudibile contenente facce o contorni chiusi.
</syntaxhighlight>


Esempio:
* Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
{{Code|code=
* Returns the new frame object, or None if the operation failed.
import Draft, Arch


Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
Example:
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)


profile = Draft.makeCircle(200)
<syntaxhighlight>
Frame = Arch.makeFrame(baseobj, profile)
import Draft, Arch
FreeCAD.ActiveDocument.recompute()
layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
}}
profile = Draft.makeCircle(.2)
Arch.makeFrame(layout,profile)
</syntaxhighlight>



<languages/>
{{Docnav/it
|[[Arch_Equipment/it|Arredo]]
|[[Arch_Fence/it|Recinzione]]
|[[Arch_Workbench/it|Arch]]
|IconL=Arch_Equipment.svg
|IconR=Arch_Fence.svg
|IconC=Workbench_Arch.svg
}}

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:06, 24 November 2023

Carpenteria

Posizione nel menu
Arch → Carpenteria
Ambiente
Arch
Avvio veloce
F R
Introdotto nella versione
-
Vedere anche
Parete, Struttura

Descrizione

Lo strumento Telaio è utilizzato per costruire tutti i tipi di oggetti di carpenteria sulla base di un profilo e di un tracciato. Il profilo viene estruso lungo le linee del tracciato che può essere costituita da qualsiasi oggetto 2D, ad esempio, da uno schizzo, o da un oggetto draft. È particolarmente utile per creare ringhiere o pareti di carpenteria. Gli oggetti Carpenteria possono essere poi facilmente trasformati in oggetti muri o strutture.

Oggetto Carpenteria creato da una schiera derivata da una linea, utilizzando un cerchio come profilo.

Utilizzo

  1. Creare un oggetto tracciato e un oggetto profilo, ad esempio con Draft o con Schizzo.
  2. Selezionare l'oggetto tracciato, poi, con Ctrl premuto, selezionare l'oggetto profilo.
  3. Premere il pulsante Carpenteria, o premere i tasti F poi R.

Opzioni

  • Gli elementi Carpenteria condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch
  • Impostando la sua proprietà Offset, l'oggetto carpenteria può essere posizionato alla distanza voluta dall'oggetto tracciato.
  • Il profilo viene copiato alla base di ciascun spigolo o linea dell'oggetto tracciato, quindi estruso lungo esso. È possibile stabilire la posizione del profilo alla base di ogni linea del tracciato tramite le proprietà Align e Rotation.

Proprietà

  • DatiBase: Il tracciato su cui è basato l'oggetto carpenteria.
  • DatiProfile: Il profilo su cui è basato l'oggetto carpenteria.
  • DatiAlign: Specifica se il profilo deve essere ruotato per posizionare il suo asse normale allineato con ciascuna linea del tracciato.
  • DatiOffset: Una distanza opzionale tra l'oggetto tracciato e l'oggetto carpenteria.
  • DatiRotation: La rotazione del profilo attorno al suo asse di estrusione.

Script

Vedere anche: API di Arch e Nozioni di base sugli script di FreeCAD.

Lo strumento Carpenteria può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

Frame = makeFrame(baseobj, profile)
  • Crea un oggetto Frame da un dato baseobj e un profile.
    • baseobj è qualsiasi oggetto che contenga dei contorni, come una Polilinea o una Schiera.
    • profile è un oggetto 2D estrudibile contenente facce o contorni chiusi.

Esempio:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()